Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161312 - KDE xscreensaver support is missing (kxsrun and kxsconfig?)
Summary: KDE xscreensaver support is missing (kxsrun and kxsconfig?)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdeartwork
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 11:02 UTC by Gilboa Davara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-30 10:17:19 UTC


Attachments (Terms of Use)
update for recent xscreensaver hacks dir (deleted)
2005-06-29 17:03 UTC, Rex Dieter
no flags Details | Diff

Description Gilboa Davara 2005-06-22 11:02:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I trying to use xscreensaver-gl-extra screensavers under KDE environment.
In order to do so I need the kxsrun and kxsconfig under /usr/bin/kxs*.
These two binaries were available under both FC2 and FC3 (As well as KDE-RedHat's RPMs from both FC2 and FC3)


Version-Release number of selected component (if applicable):
kdeartwork-3.4.0-1 kdeartwork-3.4.1-0.fc4.1 (Both i386 and x86-64)

How reproducible:
Always

Steps to Reproduce:
1. Install FC4 with KDE environment.

Actual Results:  1. No xscreensaver support under KDE control panel.
2. Binaries that as far as I know are required to add such support are missing.

Expected Results:  1. xscreensaver support.

Additional info:

Bug reported from an x86-64 installation. While I didn't install the i386 just yet, I peeked inside the kdeartwork i386 RPM and it has the same contents.

Comment 1 Vesko Tomov 2005-06-29 03:22:36 UTC
I wonder if this is related to the following bug: 
 
http://bugs.kde.org/show_bug.cgi?id=105748  

Comment 2 Gilboa Davara 2005-06-29 08:14:28 UTC
I doubt it.
The KDE-RedHat project's (http://kde-redhat.sourceforge.net/) RPMs have full
xscreensaver support and according to the project leader (Rex Dieter) he didn't
do anything special to get it working.

Comment 3 Rex Dieter 2005-06-29 17:02:10 UTC
Sorry, Gilboa, actually I did patch kdeartwork.  Patch forthcoming.

Comment 4 Rex Dieter 2005-06-29 17:03:33 UTC
Created attachment 116136 [details]
update for recent xscreensaver hacks dir

See also
http://bugs.kde.org/105748

Comment 5 Gilboa Davara 2005-06-29 17:10:37 UTC
I stand corrected, then.
Thanks Rex.

As for the patch, any chance of releasing an update for FC4?


Comment 6 Ngo Than 2005-06-30 10:17:19 UTC
It's now fixed in kdeartworks-3.4.1-0.fc4.2. I will push it today. Rex, many
thanks for the patch!

Comment 7 Gilboa Davara 2005-07-04 08:18:59 UTC
Any ideas when it'll be pused to updates/testing?


Note You need to log in before you can comment on or make changes to this bug.